Package org.jboss.resteasy.plugins.providers.atom

## Class Source

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.CommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.Source

- Direct Known Subclasses:
    `Feed`

      public class Source
      extends CommonAttributes

  Per RFC4287:

        If an atom:entry is copied from one feed into another feed, then the
        source atom:feed's metadata (all child elements of atom:feed other
        than the atom:entry elements) MAY be preserved within the copied
        entry by adding an atom:source child element, if it is not already
        present in the entry, and including some or all of the source feed's
        Metadata elements as the atom:source element's children.  Such
        metadata SHOULD be preserved if the source atom:feed contains any of
        the child elements atom:author, atom:contributor, atom:rights, or
        atom:category and those child elements are not present in the source
        atom:entry.

        atomSource =
           element atom:source {
              atomCommonAttributes,
              (atomAuthor*
               & atomCategory*
               & atomContributor*
               & atomGenerator?
               & atomIcon?
               & atomId?
               & atomLink*
               & atomLogo?
               & atomRights?
               & atomSubtitle?
               & atomTitle?
               & atomUpdated?
               & extensionElement*)
           }

        The atom:source element is designed to allow the aggregation of
        entries from different feeds while retaining information about an
        entry's source feed.  For this reason, Atom Processors that are
        performing such aggregation SHOULD include at least the required
        feed-level Metadata elements (atom:id, atom:title, and atom:updated)
        in the atom:source element.

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Source()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Person>` | `getAuthors()` |
    `List<Category>` | `getCategories()` |
    `List<Person>` | `getContributors()` |
    `Generator` | `getGenerator()` |
    `URI` | `getIcon()` |
    `URI` | `getId()` |
    `Link` | `getLinkByRel​(String name)` |
    `List<Link>` | `getLinks()` |
    `URI` | `getLogo()` |
    `String` | `getRights()` |
    `String` | `getSubtitle()` |
    `String` | `getTitle()` |
    `Date` | `getUpdated()` |
    `void` | `setGenerator​(Generator generator)` |
    `void` | `setIcon​(URI icon)` |
    `void` | `setId​(URI id)` |
    `void` | `setLogo​(URI logo)` |
    `void` | `setRights​(String rights)` |
    `void` | `setSubtitle​(String subtitle)` |
    `void` | `setTitle​(String title)` |
    `void` | `setUpdated​(Date updated)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.CommonAttributes

      `getBase, getExtensionAttributes, getLanguage, setBase, setLanguage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Source

          public Source()

  - ### Method Detail

    - #### getAuthors

          public List<Person> getAuthors()

    - #### getContributors

          public List<Person> getContributors()

    - #### getId

          public URI getId()

    - #### setId

          public void setId​(URI id)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getUpdated

          public Date getUpdated()

    - #### setUpdated

          public void setUpdated​(Date updated)

    - #### getLinkByRel

          public Link getLinkByRel​(String name)

    - #### getLinks

          public List<Link> getLinks()

    - #### getCategories

          public List<Category> getCategories()

    - #### getGenerator

          public Generator getGenerator()

    - #### setGenerator

          public void setGenerator​(Generator generator)

    - #### getIcon

          public URI getIcon()

    - #### setIcon

          public void setIcon​(URI icon)

    - #### getLogo

          public URI getLogo()

    - #### setLogo

          public void setLogo​(URI logo)

    - #### getRights

          public String getRights()

    - #### setRights

          public void setRights​(String rights)

    - #### getSubtitle

          public String getSubtitle()

    - #### setSubtitle

          public void setSubtitle​(String subtitle)